Create Relation for you associated entities.
Create Relation.See: https://help.hoopai.com/api-reference/overview/associations
POST
/
associations
/
relations
Create Relation for you associated entities.
curl --request POST \
--url https://services.leadconnectorhq.com/associations/relations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "clF1LD04GTUKN3b3XuOj",
"associationId": "ve9EPM428h8vShlRW1KT",
"firstRecordId": "ve9EPM428h8vShlRW1KT",
"secondRecordId": "ve9EPM428h8vShlRW1KT"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'clF1LD04GTUKN3b3XuOj',
associationId: 've9EPM428h8vShlRW1KT',
firstRecordId: 've9EPM428h8vShlRW1KT',
secondRecordId: 've9EPM428h8vShlRW1KT'
})
};
fetch('https://services.leadconnectorhq.com/associations/relations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/associations/relations"
payload = {
"locationId": "clF1LD04GTUKN3b3XuOj",
"associationId": "ve9EPM428h8vShlRW1KT",
"firstRecordId": "ve9EPM428h8vShlRW1KT",
"secondRecordId": "ve9EPM428h8vShlRW1KT"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"locationId": "string",
"id": "ve9EPM428h8vShlRW1KT",
"key": "student",
"firstObjectLabel": "student",
"firstObjectKey": "custom_objects.children",
"secondObjectLabel": "Teacher",
"secondObjectKey": "contact",
"associationType": "USER_DEFINED"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Body
application/json
Second Record's Id.For instance, if you have an association between a contact and a custom object, and you specify the custom object as the second entity while creating the association, then your secondRecordId would be the customObject record Id
Example:
"ve9EPM428h8vShlRW1KT"
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Create Relation for you associated entities.
curl --request POST \
--url https://services.leadconnectorhq.com/associations/relations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "clF1LD04GTUKN3b3XuOj",
"associationId": "ve9EPM428h8vShlRW1KT",
"firstRecordId": "ve9EPM428h8vShlRW1KT",
"secondRecordId": "ve9EPM428h8vShlRW1KT"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'clF1LD04GTUKN3b3XuOj',
associationId: 've9EPM428h8vShlRW1KT',
firstRecordId: 've9EPM428h8vShlRW1KT',
secondRecordId: 've9EPM428h8vShlRW1KT'
})
};
fetch('https://services.leadconnectorhq.com/associations/relations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/associations/relations"
payload = {
"locationId": "clF1LD04GTUKN3b3XuOj",
"associationId": "ve9EPM428h8vShlRW1KT",
"firstRecordId": "ve9EPM428h8vShlRW1KT",
"secondRecordId": "ve9EPM428h8vShlRW1KT"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"locationId": "string",
"id": "ve9EPM428h8vShlRW1KT",
"key": "student",
"firstObjectLabel": "student",
"firstObjectKey": "custom_objects.children",
"secondObjectLabel": "Teacher",
"secondObjectKey": "contact",
"associationType": "USER_DEFINED"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}